• Recent Questions
  • Popular Questions

This question has been closed by the author.Is there a workaround to get Java games to open?


I am running Jave V8 191 – today no Java games will open

The message is:
For security, applications must now meet the requirements for the High or VeryHIgh Security settings, or be part of the Exception Site List, to be allowed to run.

This is happening on every browser I run Java on, Firefox ESR, Seamonkey, and Aviator. It is happening on each machine I own.

Is there a work around?

    Answer from MomsBassetHound
    posted 2 months ago

    I’m running Java 8.201 and not having any problem on Internet Explorer. That’s the only browser that I have that supports Java.

    Good Luck!

    Answer from prinzdarian
    posted 2 months ago

    All I did was went into Java, restored the security prompts, then told Java to always allow Pogo.

    I haven’t had any problems since then with Pale Moon.

    Answer from MomsBassetHound
    posted 2 months ago

    From the forums…

    The Electronic Arts Certificate has expired, so Oracle has blocked Java. Until EA renews it, you will get that message.

    Answer from cem8317
    posted 2 months ago

    You have to add the following URL addresses in the Exception List on the security tab in Java, according to EA yesterday to me.

    http://www.pogo.com
    http://www.game3.pogo.com
    http://www.pogospike-prod.pogo.com

    Answer from lewie2011
    posted 2 months ago

    Well, I have added those to my exception list, but its still not letting me into any Java games.
    Anyone have any more suggestions?
    Thanks, lewie2011

    Answer from cem8317
    posted 2 months ago

    Clear your Cashe, also you can go to the trouble shooting page in Java, and they also have information regarding troubleshooting between Java and Pogo. I’ve heard that you need to allow your browser for Java. Make sure you are playing on IE11. Java won’t work on Chrome or Firefox. You may need to hit apply then ok, when adding the URL’s to the Exception List. Good Luck

    Answer from cem8317
    posted 2 months ago

    Also, make sure you update your Java. The security levels have changed. I believe mine was updated to Java 8.201. Also it is suggested in the Java Advanced Security tab, you should check the boxes for enable – show warnings, and also the box for SSL 3.0. Hope this helps.

    Answer from MomsBassetHound
    posted 2 months ago

    Hello Pogo Community,

    We are aware of an issue with some players are unable to load Java games.

    The team is aware of this and the issue will be resolved with our weekly maintenance which will begin overnight tonight. Thank you for your patience and understanding.

    Thank you,

    Pogo_Llama

    Answer from SniperG31859
    posted 2 months ago

    You can also try Basilisk Browser.

    Answer from MomsBassetHound
    posted 2 months ago

    2/12/19 Update…

    The team has fixed the issue with the Java security certificate and the Java games are playable again. Thank you for your patience as you waited.

Question is Closed

This question is closed to new answers.

Other Questions